xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) 2022 Tomáš Janoušek <tomi@nomi.cz>
License | BSD3
Maintainer | Tomáš Janoušek <tomi@nomi.cz>
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Util.Process

Description

This module should not be directly used by users, it's just common code for other modules.

Synopsis

- getPPIDOf :: ProcessID -> IO (Maybe ProcessID)
- getPPIDChain :: ProcessID -> IO [ProcessID]

# Documentation

getPPIDOf :: ProcessID -> IO (Maybe ProcessID) Source #

Get the parent process id (PPID) of a given process.

getPPIDChain :: ProcessID -> IO [ProcessID] Source #

Get the chain of parent processes of a given pid. Starts with the given pid and continues up until the parent of all.